using Hotline.Share.Dtos.Order;
using XF.Domain.Repository;

namespace Hotline.Orders
{
	public interface ICitizenRepository : IRepository<Citizen>
	{
		Task AddAsync(CitizenAddDto citizen, CancellationToken cancellationToken);
        Task<Citizen> GetByPhoneNumberAsync(string phoneNumber);
        Task LabelAddAsync(LabelDetailAddDto model, CancellationToken cancellationToken);

		Task LabelDeleteAsync(CitizenLabelDetail model, CancellationToken cancellationToken);

		Task LabelJoinAsync(string citizenId, CancellationToken cancellationToken);
	}
}
